/**
 * Copyright 2013-2017 JueYue (qrb.jueyue@gmail.com)
 *   
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.jeecgframework.poi.excel.html.entity;

public interface HtmlCssConstant {

    // constants
    public final String PATTERN_LENGTH   = "\\d*\\.?\\d+\\s*(?:em|ex|cm|mm|q|in|pt|pc|px)?";
    public final String STYLE            = "style";
    // direction
    public final String TOP              = "top";
    public final String RIGHT            = "right";
    public final String BOTTOM           = "bottom";
    public final String LEFT             = "left";
    public final String WIDTH            = "width";
    public final String HEIGHT           = "height";
    public final String COLOR            = "color";
    public final String BORDER           = "border";
    public final String CENTER           = "center";
    public final String JUSTIFY          = "justify";
    public final String MIDDLE           = "middle";
    public final String FONT             = "font";
    public final String FONT_STYLE       = "font-style";
    public final String FONT_WEIGHT      = "font-weight";
    public final String FONT_SIZE        = "font-size";
    public final String FONT_FAMILY      = "font-family";
    public final String TEXT_DECORATION  = "text-decoration";
    public final String UNDERLINE        = "underline";
    public final String ITALIC           = "italic";
    public final String BOLD             = "bold";
    public final String NORMAL           = "normal";
    public final String TEXT_ALIGN       = "text-align";
    public final String VETICAL_ALIGN    = "vertical-align";
    public final String BACKGROUND       = "background";
    public final String BACKGROUND_COLOR = "background-color";
    public final String NONE             = "none";
    public final String HIDDEN           = "hidden";
    public final String SOLID            = "solid";
    public final String DOUBLE           = "double";
    public final String DOTTED           = "dotted";
    public final String DASHED           = "dashed";

}
